Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava
Class AnnotationHandler.NonNullExpr

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.VarInit
              javafe.ast.Expr
                  javafe.ast.BinaryExpr
                      escjava.AnnotationHandler.NonNullExpr

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  AnnotationHandler

public static class AnnotationHandler.NonNullExpr
extends BinaryExpr

Field Summary

Fields inherited from class javafe.ast.BinaryExpr
`left, locOp, op, right`

Fields inherited from class javafe.ast.ASTNode
``

Constructor Summary
`AnnotationHandler.NonNullExpr()`

Method Summary
`(package private) static AnnotationHandler.NonNullExpr` | `make(FormalParaDecl arg, int locNN)`

Methods inherited from class javafe.ast.BinaryExpr
`accept, accept, check, childAt, childCount, getEndLoc, getStartLoc, getTag, make, toString`

Methods inherited from class javafe.ast.ASTNode
`clone, clone, getDecorations, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationHandler.NonNullExpr

    public AnnotationHandler.NonNullExpr()

Method Detail

### make

    static AnnotationHandler.NonNullExpr make(FormalParaDecl arg,
                                              int locNN)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage